Package wx :: Module aui :: Class AuiToolBarArt

[frames | no frames]

## Type AuiToolBarArt

    object --+
             |
            AuiToolBarArt

Known Subclasses:
  `AuiDefaultToolBarArt`

Proxy of C++ AuiToolBarArt class

Method Summary
| `__init__(self)`
| `__del__(self)`
AuiToolBarArt | `Clone(self)`
| `DrawBackground(self, dc, wnd, rect)`
| `DrawButton(self, dc, wnd, item, rect)`
| `DrawControlLabel(self, dc, wnd, item, rect)`
| `DrawDropDownButton(self, dc, wnd, item, rect)`
| `DrawGripper(self, dc, wnd, rect)`
| `DrawLabel(self, dc, wnd, item, rect)`
| `DrawOverflowButton(self, dc, wnd, rect, state)`
| `DrawSeparator(self, dc, wnd, rect)`
int | `GetElementSize(self, element_id)`
Size | `GetLabelSize(self, dc, wnd, item)`
Size | `GetToolSize(self, dc, wnd, item)`
| `SetElementSize(self, element_id, size)`
| `SetFlags(self, flags)`
| `SetFont(self, font)`
| `SetTextOrientation(self, orientation)`
int | `ShowDropDown(self, wnd, items)`

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

  Get Method:
    unknown-25246368(...)
  Set Method:
    unknown-25246488(...)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:26 2009 | http://epydoc.sf.net